* {margin: 0; padding: 0;}

:root {
    --ease-in-quad: cubic-bezier(0.55, 0.085, 0.68, 0.53);
    --ease-in-cubic: cubic-bezier(0.55, 0.055, 0.675, 0.19);
    --ease-in-quart: cubic-bezier(0.895, 0.03, 0.685, 0.22);
    --ease-in-quint: cubic-bezier(0.755, 0.05, 0.855, 0.06);
    --ease-in-expo: cubic-bezier(0.95, 0.05, 0.795, 0.035);
    --ease-in-circ: cubic-bezier(0.6, 0.04, 0.98, 0.335);
    --ease-out-quad: cubic-bezier(0.25, 0.46, 0.45, 0.94);
    --ease-out-cubic: cubic-bezier(0.215, 0.61, 0.355, 1);
    --ease-out-quart: cubic-bezier(0.165, 0.84, 0.44, 1);
    --ease-out-quint: cubic-bezier(0.23, 1, 0.32, 1);
    --ease-out-expo: cubic-bezier(0.19, 1, 0.22, 1);
    --ease-out-circ: cubic-bezier(0.075, 0.82, 0.165, 1);
    --ease-in-out-quad: cubic-bezier(0.455, 0.03, 0.515, 0.955);
    --ease-in-out-cubic: cubic-bezier(0.645, 0.045, 0.355, 1);
    --ease-in-out-quart: cubic-bezier(0.77, 0, 0.175, 1);
    --ease-in-out-quint: cubic-bezier(0.86, 0, 0.07, 1);
    --ease-in-out-expo: cubic-bezier(1, 0, 0, 1);
    --ease-in-out-circ: cubic-bezier(0.785, 0.135, 0.15, 0.86);
}
.easing-variables {
    transition: transform 1s var(--ease-out-quart);
}
.easing-variables:hover {
    transform: rotate(45deg);
}

/*html{
    height: 100%;
}*/

body {
    width: 100%;
    height: 100%;
}
*:focus {outline:none !important}
img{
    border:0;
    max-width: 100%;
    height: auto;
    display: block;
    border-style: none;
}
img:focus{
    border:0;
    border-style: none;
    outline: 0;
}
ul li{
    list-style: none;
    margin: 0;
    padding: 0;
}

.hide{
    display: none;
    opacity: 0 !important;
    visibility: hidden !important;
    height: 0 !important;
    margin: 0 !important;
    padding: 0 !important;
    border: none !important;
    transition: opacity 0.25s ease-out 0s;
}
.show{
    opacity: 1;
    visibility: visible;
    height: auto;
}

.shadow_back{
    width: 100%;
    height: 100%;
    background: url("../img/shadow_back.png");
    left: 0;
    top: 0;
    display: none;
    position: fixed;
    z-index: 100;
}
.shadow_back.block_shadow_back{
    position: absolute;
}
.ajax_loader{
    width: 50px;
    height: 50px;
    position: fixed;
    top: 50%;
    left: 50%;
    margin-left: -25px;
    margin-top: -25px;
    background: url("../img/shadow_ajax_loader.gif");
    z-index: 101;
    /*display: none;*/
}
.shadow_back.block_shadow_back .ajax_loader{
    position: absolute;
}
table {
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
}
.clearfix:after {
    content: '.';
    font-size: 0;
    display: table;
    clear: both;
}

.no_data, .no_items{
    padding: 100px 0;
    text-align: center;
}

.tab_content:not(.toggle){
    display: none;
}
.tab_content.active:not(.toggle){
    display: block;
}

input::-moz-placeholder, textarea::-moz-placeholder {
    opacity: 1;
}

.button:focus,
button:focus,
input[type="button"]:focus,
input[type="submit"]:focus{
    outline: 0;
}


.toggle{
    opacity: 0;
    max-height: 0;
    visibility: hidden;
    transform: translateY(25px);
    transition: all 0.25s ease-in-out 0s;
}

.toggle.active{
    opacity: 1;
    height: auto;
    max-height: 999999px;
    transform: translateY(0px);
    visibility: visible;
    transition: all 0.25s ease-in-out 0s;
}